<template>
  <div class="container gameNav">
    <div class="swiper-container gamenav-swiper">
      <div class="swiper-pagination nav"></div>
      <div class="swiper-wrapper game">
        <div class="swiper-slide" v-for="group in groups">
          <div class="game-item">
            <a v-for="game in group.Item" href="javascript:;" @click="enterGame(group, game)" :class="[game.Class||group.Class]">
              <div class="game-title">
                <p >{{game.Name}}</p>
                <img :src="[game.Logo||demo.logo]" :alt="game.Name">
              </div>
              <img class="game-img" :src="game.Img" :alt="game.Name">
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
module.exports = {
  data() {
    return {
      demo: {
        logo: `/tpl/${theme}/assets/images/nav/logo_ZB.png`,
        icon: `/tpl/${theme}/assets/images/icons/VIP.png`,
        img: `/tpl/${theme}/assets/images/game/hot/m/demo.webp`
      },
      isMobile: false,
      groups: [
        {
          TabName: "熱門",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_recommend.png`,
          Class: "grid-3x2",
          Item: [
            {
              Name: "RSG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/RSG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_RSG.png`,
              Href: "./slot?c=RSG",
            },
            {
              Name: "QT電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/QT.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_Qtech.png`,
              Hallid: "QT",
            },
            {
              Name: "ATG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/ATG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_ATG.png`,
              Href: "./slot?c=ATG",
            },
            {
              Name: "DG真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/DG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DG.png`,
              Hallid: "DG",
            },
            {
              Name: "SUPER體育",
              Img: `/tpl/${theme}/assets/images/game/sport/m/SUPER.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_super.png`,
              Hallid: "SuperV2",
            },
          ],
        },
        {
          TabName: "真人",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_casino.png`,
          Class: "grid-3x2",
          Href: "./live",
          Item: [
            {
              Name: "DG真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/DG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DG.png`,
              Hallid: "DG",
            },
            {
              Name: "AB真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/AB.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_AB.png`,
              Hallid: "AB",
            },
            {
              Name: "SA真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/SA.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_SA.png`,
              Hallid: "SA",
            },
            {
              Name: "DB真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/PM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBLive.png`,
              Hallid: "OBLive",
            },
            {
              Name: "WM真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/WM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_WM.png`,
              Hallid: "WM",
            },
            {
              Name: "YB真人",
              Img: `/tpl/${theme}/assets/images/game/live/m/YB.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_YB.png`,
              Hallid: "YB",
            },
          ],
        },
        {
          TabName: "體育",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_sport.png`,
          Class: "grid-3x2",
          Href: "./sport",
          Item: [
            {
              Name: "SUPER體育",
              Img: `/tpl/${theme}/assets/images/game/sport/m/SUPER.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_super.png`,
              Hallid: "SuperV2",
              Class: "grid-3x1"
            },
            {
              Name: "鑫寶體育",
              Img: `/tpl/${theme}/assets/images/game/sport/m/SXB.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_XB.png`,
              Hallid: "WGSport",
            },
            {
              Name: "熊貓體育",
              Img: `/tpl/${theme}/assets/images/game/sport/m/PM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_Panda.png`,
              Hallid: "PASport",
            },
            {
              Name: "平博體育",
              Img: `/tpl/${theme}/assets/images/game/sport/m/PB.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_PB.png`,
              Hallid: "PBSport",
            },
            {
              Name: "DB電競",
              Img: `/tpl/${theme}/assets/images/game/sport/m/PMESport.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBESport.png`,
              Hallid: "OBESport",
            },
          ],
        },
        {
          TabName: "電子",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_slot.png`,
          Class: "grid-3x2",
          Href: "./slot",
          Item: [
            {
              Name: "好路電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/GR.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_GR.png`,
              Eid: "GR",
            },
            {
              Name: "RSG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/RSG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_RSG.png`,
              Eid: "RSG",
            },
            {
              Name: "QT電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/QT.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_Qtech.png`,
              Hallid: "QT",
            },
            {
              Name: "SP電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/SP.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_SP.png`,
              Hallid: "SP",
            },
            {
              Name: "EvoPlay電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/EVO.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_EVO.png`,
              Eid: "EvoPlay",
            },
            {
              Name: "BNG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/BNG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_BNG.png`,
              Eid: "BNG",
            },
            {
              Name: "CG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/CG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_CG.png`,
              Eid: "CG",
            },
            {
              Name: "斑馬電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/ZEBRA.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_ZB.png`,
              Eid: "DS",
            },
            {
              Name: "Ameba電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/AE.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_AE.png`,
              Eid: "AESlot",
            },
            {
              Name: "RK5電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/RK5.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_RK5.png`,
              Eid: "RK5",
            },
            {
              Name: "DB電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/PM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBSlot.png`,
              Eid: "OBSlot",
            },
            {
              Name: "ATG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/ATG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_ATG.png`,
              Eid: "ATG",
            },
            {
              Name: "FG電子",
              Img: `/tpl/${theme}/assets/images/game/slot/m/FG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_FG.png`,
              Eid: "FGQP",
            },
          ],
        },
        {
          TabName: "彩票",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_lottery.png`,
          Class: "grid-2x2",
          Href: "./lottery",
          Item: [
            {
              Name: "9K彩票",
              Img: `/tpl/${theme}/assets/images/game/lottery/m/9K.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_9K.png`,
              Hallid: "9K",
            },
            {
              Name: "六合彩球",
              Img: `/tpl/${theme}/assets/images/game/lottery/m/SuperCP.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_super.png`,
              Hallid: "SuperCP",
            },
            {
              Name: "WG彩票",
              Img: `/tpl/${theme}/assets/images/game/lottery/m/WG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_WG.png`,
              Hallid: "WGLottery",
            },
            {
              Name: "DB彩票",
              Img: `/tpl/${theme}/assets/images/game/lottery/m/DB.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBLottery.png`,
              Hallid: "OBLottery",
            },
          ],
        },
        {
          TabName: "棋牌",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_card.png`,
          Class: "grid-3x2",
          Href: "./card",
          Item: [
            {
              Name: "包你發棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/BLF.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_bnf.png`,
              Hallid: "BLF",
            },
            {
              Name: "幸運棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/LG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_LUCKY.png`,
              Hallid:'LG'
            },
            {
              Name: "好路棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/GR.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_GR.png`,
              Eid: "GR",
            },
            {
              Name: "老虎城棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/TIGER.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_tiger.png`,
              Hallid: "XGD",
            },
            {
              Name: "百勝棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/BS.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_BSchess.png`,
              Hallid: "BSP",
            },
            {
              Name: "DB棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/PM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBChess.png`,
              Hallid: "OBChess",
            },
            {
              Name: "博雅棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/BOYA.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_BOYA.png`,
              Hallid: "BOYA",
            },
            {
              Name: "FG棋牌",
              Img: `/tpl/${theme}/assets/images/game/poker/m/FG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_FG.png`,
              Eid: "FGQP",
            },
          ],
        },
        {
          TabName: "捕魚",
          TabIcon: `/tpl/${theme}/assets/images/icons/tbico_fish.png`,
          Class: "grid-3x2",
          Href: "./fishing",
          Item: [
            {
              Name: "QT捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/QT.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_Qtech.png`,
              Hallid: 'QT',
              GameID: "RTG-fishcatch",
              Class: "grid-3x2"
            },
            {
              Name: "SP捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/SP.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_SP.png`,
              Eid: "SP",
            },
            {
              Name: "幸運棋牌捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/LG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_LUCKY.png`,
              Eid: 'LG',
            },
            {
              Name: "好路捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/GR.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_GR.png`,
              Eid: "GR",
            },
            {
              Name: "DB捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/PM.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_DBFishing.png`,
              Eid: "OBFishing",
            },
            {
              Name: "FG捕魚機",
              Img: `/tpl/${theme}/assets/images/game/fishing/m/FG.png`,
              Logo: `/tpl/${theme}/assets/images/nav/logo_FG.png`,
              Eid: "FGQP",
            },
          ],
        }
      ]
    };
  },
  mounted() {
    this.init();
  },
  methods: {
    init() {
      let vue = this;
      var swiper = new Swiper(".gamenav-swiper", {
          slidesPerView: 1,
          // effect: "fade",
          // fade: {
          //   crossFade: true
          // },
          shortSwipes: false,
          pagination: {
            el: ".swiper-pagination",
            clickable: true,
            renderBullet: function (index, className) {
              return `<div class="${className} nav-item" data-tab="${vue.groups[index].TabName}"><img src="${vue.groups[index].TabIcon}" alt=""><span>${vue.groups[index].TabName}</span></div>`;
            }
          }
      });
    },
    openModal(Name, Hallid, Gameid) {
      if (isLogin) {
        $("body").addClass("hide");
        $("#Transfer").show();
        setTimeout(function() {
          $(`#Transfer .modal>div`).addClass("active");
        }, 5)
        this.$emit('update',Name,Hallid, Gameid)
        this.$emit('position','Transfer')
      } else {
        annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
      }
    },
    enterGame(group, game) {
        if (!isLogin) {
          annType ? location.href = "./login" : Swal.fire("請先登入", "", "error");
          return false;
        }

        if (game.Hallid) {
          this.openModal(game.Name, game.Hallid, game.GameID)
        } else {
          location.href = group.Href ? `${group.Href}?c=${game.Eid}` : game.Href
        }
      }
  },
};
</script>
